> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abacco.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detalle de un empleado

Detalle de la ficha del trabajador.


## OpenAPI

````yaml GET /payroll/employees/{id}/
openapi: 3.0.0
info:
  title: API de Abacco
  version: 1.0.0
  description: API publica de Abacco (Api-Key).
servers:
  - url: https://api.abacco.ai/v1
    description: Produccion
security:
  - apiKeyAuth: []
paths:
  /payroll/employees/{id}/:
    get:
      tags:
        - Remuneraciones
      summary: Detalle de un empleado
      operationId: getPayrollEmployee
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id opaco (eid_...) o entero
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayrollEmployee'
components:
  schemas:
    PayrollEmployee:
      type: object
      properties:
        id:
          type: string
          example: eid_AbC123
        rut:
          type: string
          example: 12.345.678-9
        full_name:
          type: string
        is_active:
          type: boolean
        worker_type:
          type: string
        contract_type:
          type: string
        base_salary:
          type: number
        start_date:
          type: string
          format: date
        position:
          type: string
        afp:
          type: string
        health_system:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API Key para autenticación. Debe proporcionarse en el header
        Authorization con el formato: 'Api-Key YOUR-API-KEY' (incluye el prefijo
        'Api-Key ' seguido de tu API key)

````